<?php

/**
 * @file
 * Devel module display plugin
 */

/**
 * Returns form information to be embeded in the form described
 */
function forminspect_display_form($form, $form_state, $form_id) {
  return array(
    '#markup' => '<br />' . forminspect_display_region($form, $form_state, $form_id),
    '#weight' => 1000,
  );
}

/**
 * Returns form information to be inserted in a region
 */
function forminspect_display_region($form, $form_state, $form_id) {
  return '<strong>' . check_plain($form_id) . '</strong>' . krumo_ob($form) . '<strong>' . t('@form_id form state', array('@form_id' => $form_id)) . krumo_ob($form_state) . '</strong>';
}
